- [HTTP request](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getDisburseTransactionStatus#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getDisburseTransactionStatus#body.request_body)
  - [JSON representation](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getDisburseTransactionStatus#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getDisburseTransactionStatus#body.response_body)
- [GetDisburseTransactionStatusResponse](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getDisburseTransactionStatus#GetDisburseTransactionStatusResponse)
  - [JSON representation](https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getDisburseTransactionStatus#GetDisburseTransactionStatusResponse.SCHEMA_REPRESENTATION)

This method fetches the status of a disburse transaction.

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 2
        },
        "requestId": "bWVyY2hhbnQgdHJhbnNhY3Rpb24gaWQ",
        "requestTimestamp": {
          "epochMillis": "1502220196077"
        },
        "paymentIntegratorAccountId": "InvisiCashUSA_USD"
      },
      "disburseRequestId": "bnAxdWTydDX==",
      "paymentIntegratorAccountId": "InvisiCashUSA"
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": {
          "epochMillis": "1481900013178"
        }
      },
      "result": { "success": {} },
      "disburseResult": { "success": {} }
    }

### HTTP request

`POST https://www.integratorhost.example.com/integrator-base-path/v2/getDisburseTransactionStatus`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/RequestHeader`) }, "disburseRequestId": string, "paymentIntegratorAccountId": string } ``` |

| Fields ||
|---|---|
| `requestHeader` | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/RequestHeader`)`` **REQUIRED**: Common header for all requests. |
| `disburseRequestId` | `string` **REQUIRED**: The requestId of the original disburse transaction. |
| `paymentIntegratorAccountId` | `string` **REQUIRED**: The payment integrator account identifier that identifies the caller and associated contractual constraints for this interaction. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/banking-fop-v2/guides/connectivity/protocol-standards#http_status_codes).

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/getDisburseTransactionStatus#GetDisburseTransactionStatusResponse`)`` |
| HTTP 4XX / 5XX Status | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/ErrorResponse`)`` |
| End of mutually exclusive fields. ||

## GetDisburseTransactionStatusResponse

Response object for banking-fop-v2.getDisburseTransactionStatus.

| JSON representation |
|---|
| ``` { "responseHeader": { object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/ResponseHeader`) }, "result": { object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/GetTransactionStatusResult`) }, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "disburseResult": { object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/DisburseResult`) }, "transactionDoesNotExist": { object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/Empty`) }, "resultNotKnownYet": { object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/TransactionResultNotKnownYet`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `responseHeader` | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/ResponseHeader`)`` **REQUIRED**: Common header for all responses. |
| `result` | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/GetTransactionStatusResult`)`` **REQUIRED**: Result of this GetTransactionStatus call. |
| **REQUIRED**: The actual status of the transaction which is looked up. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `disburseResult` | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/DisburseResult`)`` The result of the disburse transaction whose status is looked up. |
| `transactionDoesNotExist` | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/Empty`)`` The transaction was not found in the system. This can happen if the call from Google to partner got dropped and the partner never received the original transaction. Now when Google tries to lookup the status, partner should return this error code to indicate that the transaction doesn't exist in the system. Google should mark the transaction as failed in that case. It is different than a Http 404 where the URL of GetTransactionStatus was not found in which case Google can't update the status of the transaction. |
| `resultNotKnownYet` | ``object (`https://developers.google.com/pay/banking-fop-v2/payment-integrator-banking-fop-api/TransactionResultNotKnownYet`)`` Captures the scenario where the integrator itself doesn't have a definite status, maybe because they have not received it from the underlying payment network. |
| End of mutually exclusive fields. ||